<template>
    <div class="contt">
    <!-- 顶部超大播放图 -->
    <div id="top">
        <!-- 更换背景图片 -->
        <el-button class="btnn" size="medium" @click="centerDialogVisible = true">更换皮肤</el-button>
        <!-- 修改皮肤弹出 -->
        <el-dialog
    v-model="centerDialogVisible"
    title="Warning"
    width="30%"
    align-center
  >
    <span>Open the dialog from the center from the screen</span>
    <template #footer>
      <span class="dialog-footer">
        <el-button @click="centerDialogVisible = false">Cancel</el-button>
        <el-button type="primary" @click="centerDialogVisible = false">
          Confirm
        </el-button>
      </span>
    </template>
  </el-dialog>
        <div>XC-我的动态</div>
        <!-- <img :src="topImg" alt="" /> -->
    </div>
    <el-container class="play-list-container">
        <!-- 头部资料卡 -->
        <el-card style="margin-top: 20px;">
            <el-header id="My-mes">
                <el-row>
                    <el-col :span="18">
                        <el-row>
                            <!-- 头像区 -->
                            <el-col :span="8" class="avaterImg">
                                <img src="https://ts1.cn.mm.bing.net/th/id/R-C.74ad086892eeda549cb3946e681f2d9b?rik=D4wiqL4a5XQscA&riu=http%3a%2f%2fi0.hdslb.com%2fbfs%2farticle%2fa22a162bca94cdf7438ea556dfa021b181bf3873.jpg&ehk=hs8df19fFE7Vy8LX3nQoJ%2fSBt1ePFXZeKfdX4Lev0d4%3d&risl=&pid=ImgRaw&r=0"
                                    alt="">
                            </el-col>
                            <!-- 信息区 -->
                            <el-col :span="16" class="userMes">
                                <!-- 名字 -->
                                <el-row class="userName">
                                    <h2>靛蓝二乘</h2>
                                </el-row>
                                <!-- 关注，点赞，动态 -->
                                <el-row class="spanList">
                                    <el-col :span="6">
                                        动态<span>9</span>
                                    </el-col>
                                    <el-col :span="6">
                                        关注<span>9</span>
                                    </el-col>
                                    <el-col :span="6">
                                        收藏<span>9</span>
                                    </el-col>
                                </el-row>
                                <!-- 个人签名 -->
                                <el-row class="usertext">
                                    <div>
                                        个人签名:
                                    </div>
                                    <div class="context">
                                        哈哈哈哈哈哈或或或或或或或或或或或或或或或或或或或或或或
                                        哈哈哈哈哈哈或或或或或或或或或或或或或或或或或或或或或或
                                        哈哈哈哈哈哈或或或或或或或或或或或或或或或或或或或或或或
                                    </div>
                                </el-row>
                            </el-col>
                        </el-row>
                    </el-col>
                    <!-- 按钮区域 -->
                    <el-col :span="6">
                        <el-row class="col-row">
                            <!--修改资料 -->
                            <el-button type="primary"  @click="dialogFormVisible = true">修改资料</el-button>
                        </el-row>
                    </el-col>
                </el-row>
                <!-- 修改资料 -->
                <el-dialog v-model="dialogFormVisible" title="Shipping address" id="upMes">
                    <el-form :model="form">
                    <el-form-item label="Promotion name" :label-width="formLabelWidth">
                        <el-input v-model="form.name" autocomplete="off" />
                    </el-form-item>
                    <el-form-item label="Zones" :label-width="formLabelWidth">
                        <el-select v-model="form.region" placeholder="Please select a zone">
                        <el-option label="Zone No.1" value="shanghai" />
                        <el-option label="Zone No.2" value="beijing" />
                        </el-select>
                    </el-form-item>
                    </el-form>
                    <template #footer>
                    <span class="dialog-footer">
                        <el-button @click="dialogFormVisible = false">Cancel</el-button>
                        <el-button type="primary" @click="dialogFormVisible = false">
                        Confirm
                        </el-button>
                    </span>
                    </template>
                </el-dialog>
            </el-header>
            <!-- 动态列表区 -->
            <el-main style="padding-top: 30px;" id="postList">
                <el-row >
                    <!-- 动态列表 -->
                    <el-col :span="17">
                        <!-- 循环帖子 -->
                        <el-row class="posts">
                            <!-- 头像 -->
                            <el-col :span="3">
                                <div class="block">
                                    <el-avatar :size="70" :src="circleUrl" />
                                </div>
                            </el-col>
                            <el-col :span="4">
                                <p>靛蓝二乘</p>
                                <p style="padding-top: 10px;">2023-3-26</p>
                            </el-col>
                        </el-row>
                        <!-- 帖子内容 -->
                        <el-row style="padding-top: 10px;" class="postCont">
                            <div>哈哈哈哈哈哈或或或或或或或或或或或或或或或或或或或或或或
                                哈哈哈哈哈哈或或或或或或或或或或或或或或或或或或或或或或
                                哈哈哈哈哈哈或或或或或或或或或或或或或或或或或或或或或或</div>
                        </el-row>
                        <!-- 帖子底部 -->
                        <el-row>
                            <el-col :span="3">
                                <el-icon >
                                        <Star />
                             </el-icon>
                                点赞
                            </el-col>
                            <el-col :span="3">
                                <el-icon >
                                        <ChatDotSquare />
                             </el-icon>
                                评论
                            </el-col>
                            <el-col :span="3">
                                <el-icon >
                                        <Star />
                             </el-icon>
                                收藏
                            </el-col>
                        </el-row>
                    </el-col>
                    <!-- 好友列表 -->
                    <el-col :span="7" id="frieList">
                    <el-menu  class="el-menu-vertical-demo" 
                        id="rightlist">
                        <!-- <el-menu-item :index="index" v-for="(right, index) in rightList" :key="index">
                            <span>{{ index }}</span>
                            <p>{{ right }}</p>
                        </el-menu-item> -->
                        <el-menu-item :index="1">
                        <span><el-avatar :size="48" :src="circleUrl" /></span>靛蓝乘方
                    </el-menu-item>
                    </el-menu>
                    </el-col>
                </el-row>
            </el-main>
        </el-card>
    </el-container>
</div>
</template>

<script>
import "@/assets/icons/index.js";
import { ElMessageBox } from "element-plus"
import {
    ChatDotSquare,
    Star,
} from "@element-plus/icons-vue";
export default {
    data(){
        return{
            // // 修改背景状态
            dialogFormVisible:false,
            centerDialogVisible:false,
            // 
            formLabelWidth : '100px',
            form: {
                name: '',
                region: '',
                date1: '',
                date2: '',
                delivery: false,
                type: [],
                resource: '',
                desc: '',
}
        }
        
    },
    components:{
        Star,
        ChatDotSquare,
    },
    method:{
        // 更改皮肤
        Upbgcol(){
            
        },
        // 修改资料
        UpMymes(){
            this.dialogFormVisible = true;
        }
    }
}
</script>

<style lang="less" >
// 修改资料框
#upMes{
    width: 300px;
}
.el-main{
     --el-main-padding: 0;
}
.contt {
    background-size: 100% auto;
    background-position: center;
    background-repeat: no-repeat;
    background-image: url('https://ts1.cn.mm.bing.net/th/id/R-C.74ad086892eeda549cb3946e681f2d9b?rik=D4wiqL4a5XQscA&riu=http%3a%2f%2fi0.hdslb.com%2fbfs%2farticle%2fa22a162bca94cdf7438ea556dfa021b181bf3873.jpg&ehk=hs8df19fFE7Vy8LX3nQoJ%2fSBt1ePFXZeKfdX4Lev0d4%3d&risl=&pid=ImgRaw&r=0');
}

// 顶部大图
#top {
    width: 100%;
    height: 200px;
    font-size: 50px;
    font-weight: bolder;
    display: flex;
    justify-content: center;
    align-items: center;
    .btnn{
        position: absolute;
        top: 100px;
        right: 60px;
        background-color: rgba(255, 255, 255, 0.6);
        border: none;
    }
}

.play-list-container {
    background-color: transparent;

    .el-card {
        background-color: rgba(255, 255, 255, 0.8);
    }
}

#My-mes {
    width: 100%;
    height: 300px;
    padding-bottom: 80px;
    border-bottom: 3px #c4c4c4 solid;

    .col-row {
        padding: 30px 50px;

        .el-button {
            width: 120px;
            height: 40px;
        }
    }

    .avaterImg {
        padding: 20px;

        img {
            width: 200px;
            height: 200px;
            padding: 10px;
            background-color: #e8ffff;
            border: 1px #878787 solid;
        }
    }

    .userMes {
        padding: 20px;
        font-size: 20px;

        .userName {
            padding-bottom: 20px;
            border-bottom: 1px #999999 solid;
        }

        .spanList {
            padding: 10px 0;

            span {
                padding-left: 10px;
            }
        }

        .usertext {
            padding-top: 10px;

            .context {
                padding-top: 10px;
                font-size: 16px;
            }
        }
    }
}
#postList{
    .posts{
        padding: 20px 0;
        border-bottom: 2px #999999 solid;
      .postCont{
            padding: 20px 0;
        }  
    };
    // 右列表
    #frieList{
        padding: 40px;
        .block{
            display: flex;
            justify-content: center;
            align-items: center;
            .el-avatar{
                margin-right: 10px;
            }
        }
        #rightlist:hover{
            background-color: rgba(254, 254, 254, 0.3);
        }
        #rightlist{
            width: 100%;
            background-color: rgba(241, 241, 241, 0.2);
        }
    }
    
}

</style>